### Name: [<--methods
### Title: Methods for "[<-" - Assigning to Subsets for 'Matrix'
### Aliases: [<--methods Subassign-methods [<-,Matrix,ANY,ANY,ANY-method
###   [<-,Matrix,missing,missing,ANY-method
###   [<-,denseMatrix,index,missing,numeric-method
###   [<-,denseMatrix,index,index,numeric-method
###   [<-,denseMatrix,missing,index,numeric-method
###   [<-,dgTMatrix,index,index,numeric-method
###   [<-,dgTMatrix,index,missing,numeric-method
###   [<-,dgTMatrix,missing,index,numeric-method
###   [<-,dgCMatrix,index,index,numeric-method
###   [<-,dgCMatrix,index,missing,numeric-method
###   [<-,dgCMatrix,missing,index,numeric-method
### Keywords: methods array

### ** Examples

(m <- Matrix(round(rnorm(7*4),2), nrow = 7))
stopifnot(identical(m, m[]))
m[2, 3]   # simple number
m[2, 3:4] # simple numeric of length 2

m[2, 3:4, drop=FALSE] # sub matrix of class 'dgeMatrix'
m[-(4:7), 3:4]        # dito; the upper right corner of 'm'

## rows or columns only:
m[1,]     # first row, as simple numeric vector
m[,2]     # 2nd column
m[,1:2]   # sub matrix of first two columns
m[-(1:6),, drop=FALSE] # not the first 6 rows, i.e. only the 7th



