### Name: band
### Title: Extract bands of a matrix
### Aliases: band-methods tril-methods triu-methods
###   band,CsparseMatrix-method tril,CsparseMatrix-method
###   triu,CsparseMatrix-method band tril triu
### Keywords: methods algebra

### ** Examples

 ## A random sparce "incidence" matrix :
 m <- matrix(0, 5, 5)
 set.seed(12)
 m[runif(10, 0, length(m))] <- 1
 (mm <- as(m, "dgCMatrix"))
 tril(mm)        # lower triangle
tril(mm, -1)   # strict lower triangle
triu(mm, 1)    # strict upper triangle
band(mm, -1, 1) # general band



