### Name: dtrMatrix-class
### Title: Triangular, dense, numeric matrices
### Aliases: \%*\%,dtrMatrix,dtrMatrix-method
###   \%*\%,dgeMatrix,dtrMatrix-method \%*\%,dtrMatrix,dgeMatrix-method
###   \%*\%,dtrMatrix,matrix-method \%*\%,matrix,dtrMatrix-method
###   coerce,dgeMatrix,dtrMatrix-method coerce,dtrMatrix,dgeMatrix-method
###   coerce,dtrMatrix,dtpMatrix-method coerce,dtrMatrix,ltrMatrix-method
###   coerce,dtrMatrix,matrix-method coerce,matrix,dtrMatrix-method
###   crossprod,dtrMatrix,missing-method
###   determinant,dtrMatrix,logical-method
###   determinant,dtrMatrix,missing-method norm,dtrMatrix,character-method
###   norm,dtrMatrix,missing-method rcond,dtrMatrix,character-method
###   rcond,dtrMatrix,missing-method show,dtrMatrix-method
###   solve,dtrMatrix,dgeMatrix-method solve,dtrMatrix,matrix-method
###   solve,dtrMatrix,missing-method t,dtrMatrix-method dtrMatrix-class
### Keywords: classes

### ** Examples

(m <- rbind(2:3, 0:-1))
(M <- as(m, "dgeMatrix"))
(T <- as(M, "dtrMatrix")) ## upper triangular is default
## hence this may surprise at first:
(T2 <- as(t(M), "dtrMatrix"))# is factually diagonal
## and different from
(T3 <- t(T)) # which is *lower* triangular:
str(T3)



