### Name: lmer-class
### Title: Mixed Model Representations and *mer Methods
### Aliases: lmer-class mer-class coef.lmer-class summary.mer-class
###   summary.lmer-class ranef.lmer-class anova,mer-method coef,mer-method
###   coef,mer-method coerce,lmer,dsTMatrix-method
###   coerce,mer,dtCMatrix-method coerce,mer,pMatrix-method
###   chol,lmer,ANY-method confint,mer-method deviance,mer-method
###   fitted,mer-method formula,mer-method logLik,mer-method
###   plot,coef.lmer-method plot,ranef.lmer-method qqmath,ranef.lmer-method
###   resid,mer-method residuals,mer-method show,mer-method
###   simulate,mer-method summary,mer-method terms,lmer-method
###   update,mer-method vcov,mer-method with,lmer-method
###   deviance,summary.mer-method logLik,summary.mer-method
###   vcov,summary.mer-method summary,summary.mer-method
### Keywords: classes

### ** Examples

(fm2 <- lmer(Reaction ~ Days + (1|Subject) + (0+Days|Subject),
             data = sleepstudy))
logLik(fm2)
(V2 <- vcov(fm2))



